#2689 closed defect (fixed)

POSIX key destructors must be called during thread restart

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

POSIX key destructors must be called during thread restart. Just like the POSIX cleanup handlers. This ensures that the TLS object destructors are called during thread restart for example. It is important for the global construction, which uses a thread restart to run the Init task in a clean environment.

Change History (5)

comment:1 Changed on Apr 14, 2016 at 6:06:19 AM by Sebastian Huber

Component: Generalcpukit

comment:2 Changed on Apr 14, 2016 at 7:01:14 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 6efa3498504bffde166b4663319bd7d94ea42a08/rtems:

posix: Run key destructors during thread restart

POSIX key destructors must be called during thread restart. Just like
the POSIX cleanup handlers. This ensures that the TLS object
destructors are called during thread restart for example. It is
important for the global construction, which uses a thread restart to
run the Init task in a clean environment.

Close #2689.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.